Index: protocol/src/test/java/geniusweb/protocol/session/mopac2/phase/VotingPhaseTest.java
===================================================================
--- protocol/src/test/java/geniusweb/protocol/session/mopac2/phase/VotingPhaseTest.java	(revision 30)
+++ protocol/src/test/java/geniusweb/protocol/session/mopac2/phase/VotingPhaseTest.java	(revision 30)
@@ -0,0 +1,192 @@
+package geniusweb.protocol.session.mopac2.phase;
+
+import static org.junit.Assert.assertEquals;
+import static org.junit.Assert.assertFalse;
+import static org.junit.Assert.assertTrue;
+import static org.mockito.Mockito.mock;
+import static org.mockito.Mockito.when;
+
+import java.util.Arrays;
+import java.util.Collections;
+import java.util.HashMap;
+import java.util.List;
+import java.util.Map;
+
+import org.junit.Test;
+
+import geniusweb.actions.EndNegotiation;
+import geniusweb.actions.Offer;
+import geniusweb.actions.PartyId;
+import geniusweb.actions.VoteWithValue;
+import geniusweb.actions.VotesWithValue;
+import geniusweb.inform.Voting;
+import geniusweb.issuevalue.Bid;
+import geniusweb.issuevalue.DiscreteValue;
+import geniusweb.protocol.ProtocolException;
+import geniusweb.protocol.session.mopac2.PartyStates;
+import geniusweb.voting.VotingEvaluatorWithValue;
+import geniusweb.voting.evaluatorwithvalue.LargestAgreementWithValue;
+import tudelft.utilities.junit.GeneralTests;
+
+/**
+ * We also test defaultPhase here.
+ */
+public class VotingPhaseTest extends GeneralTests<VotingPhase> {
+
+	private static final long DEADLINE = 10l;
+	private final PartyId party1 = new PartyId("party1");
+	private final PartyId party2 = new PartyId("party2");
+	private final PartyId party3 = new PartyId("party3");
+
+	// private final OfferPhase prevPhase = mock(OfferPhase.class);
+
+	private final Map<PartyId, Integer> powers = new HashMap<>();
+	private final PartyStates states, states2;
+	private final VotingEvaluatorWithValue evaluator = new LargestAgreementWithValue();
+	private final VotingPhase phase, phase1, phase1a, phase2, phase3;
+
+	// just a test bid
+	private final Bid bid = new Bid("issue", new DiscreteValue("yes"));
+	private final VoteWithValue vote = new VoteWithValue(party1, bid, 2, 3,
+			100);
+	private final VotesWithValue votes = new VotesWithValue(party1,
+			Collections.singleton(vote));
+
+	private final List<Offer> prevPhase = Arrays.asList(new Offer(party1, bid));
+
+	public VotingPhaseTest() {
+		powers.put(party1, 2);
+		powers.put(party2, 3);
+		states2 = new PartyStates(powers);
+		powers.put(party3, 3);
+		states = new PartyStates(powers);
+
+		phase = new VotingPhase(prevPhase, states, DEADLINE, evaluator);
+
+		// in these phases we just don't set prevPhase.
+		// this to avoid serialization troubles.
+		phase1 = new VotingPhase(null, states, 10l, evaluator);
+		phase1a = new VotingPhase(null, states, 10l, evaluator);
+		phase2 = new VotingPhase(null, states2, 10l, evaluator);
+		phase3 = new VotingPhase(null, states, 20l, evaluator);
+
+	}
+
+	@Override
+	public List<List<VotingPhase>> getGeneralTestData() {
+		return Arrays.asList(Arrays.asList(phase1, phase1a),
+				Arrays.asList(phase2), Arrays.asList(phase3));
+	}
+
+	@Override
+	public List<String> getGeneralTestStrings() {
+		return Arrays.asList(
+				"VotingPhase.*PartyStates.*party2, party1, party3.*\\[\\],Agreements.*\\[\\],\\{\\}.*],10,LargestAgreement.*",
+				"VotingPhase.*PartyStates.*party2, party1.*\\[\\],Agreements.*\\[\\],\\{\\}.*],10,LargestAgreement.*",
+				"VotingPhase.*PartyStates.*party2, party1, party3.*\\[\\],Agreements.*\\[\\],\\{\\}.*],20,LargestAgreement.*");
+	}
+
+	@Test
+	public void smokeTest() {
+	}
+
+	@Test
+	public void testInitState() {
+		assertEquals(3, phase.getPartyStates().getNotYetActed().size());
+	}
+
+	@Test
+	public void testInform() {
+		// when(prevPhase.getOffers()).thenReturn(Arrays.asList(bid));
+		assertEquals(new Voting(Arrays.asList(new Offer(party1, bid)), powers),
+				phase.getInform());
+
+	}
+
+	@Test
+	public void isFinalTest() {
+		assertFalse(phase.isFinal(1l));
+		assertTrue(phase.isFinal(10l));
+	}
+
+	@Test
+	public void isFinalTestActorNotYetActed() {
+		PartyStates actedstate = mock(PartyStates.class);
+		when(actedstate.getNotYetActed())
+				.thenReturn(Collections.singleton(party1));
+		OfferPhase testphase = new OfferPhase(actedstate, 10l, evaluator);
+		assertFalse(testphase.isFinal(1l));
+	}
+
+	@Test
+	public void isFinalTestAllActorsActed() {
+		PartyStates actedstate = mock(PartyStates.class);
+		when(actedstate.getNotYetActed()).thenReturn(Collections.emptySet());
+		OfferPhase testphase = new OfferPhase(actedstate, 10l, evaluator);
+		assertTrue(testphase.isFinal(1l));
+	}
+
+	@Test(expected = ProtocolException.class)
+	public void checkIncorrectActorTest() throws ProtocolException {
+		phase.checkAction(party1, new EndNegotiation(party2), 1);
+	}
+
+	@Test(expected = ProtocolException.class)
+	public void checkNotAllowedActionTest() throws ProtocolException {
+		phase.checkAction(party2,
+				new VotesWithValue(party1, Collections.singleton(vote)), 1);
+	}
+
+	@Test
+	public void testFinish() {
+		Phase ph = phase.finish();
+		assertTrue(ph.getPartyStates().getNotYetActed().isEmpty());
+		assertEquals(3, ph.getPartyStates().getExceptions().size());
+		assertTrue(phase.getPartyStates().getAgreements().getMap().isEmpty());
+	}
+
+	@Test(expected = IllegalStateException.class)
+	public void testNextWrong() {
+		// state is not final, should not work
+		phase.next(1, 1000);
+	}
+
+	@Test
+	public void testNextNoParties() {
+		Phase ph = phase.finish();
+		// no parties are left now, all failed
+		// but this is not part of the next() check.
+		Phase next = ph.next(1, 1000);
+		assertTrue(next instanceof OptInPhase);
+		// no remaining parties, since finish kicked all
+		assertTrue(next.getPartyStates().getNotYetActed().isEmpty());
+	}
+
+	@Test
+	public void testAllowed() {
+		phase.with(party1, votes, 1);
+	}
+
+	@Test
+	public void getVotesTest() {
+		assertEquals(Collections.emptyList(), phase.getVotes());
+		List<VotesWithValue> vts = phase.with(party1, votes, 1).getVotes();
+		assertEquals(Arrays.asList(votes), vts);
+	}
+
+	@Test(expected = IllegalArgumentException.class)
+	public void testNextTooShortDuration() {
+		phase.next(1, Phase.PHASE_MINTIME - 1);
+	}
+
+	@Test(expected = IllegalStateException.class)
+	public void testNextNotFinished() {
+		phase.next(1, Phase.PHASE_MINTIME + 1);
+	}
+
+	@Test(expected = IllegalStateException.class)
+	public void testNext() {
+		phase.next(11, Phase.PHASE_MINTIME + 1);
+	}
+
+}
Index: protocol/src/test/java/geniusweb/protocol/session/saop/SAOPSettingsTest.java
===================================================================
--- protocol/src/test/java/geniusweb/protocol/session/saop/SAOPSettingsTest.java	(revision 29)
+++ protocol/src/test/java/geniusweb/protocol/session/saop/SAOPSettingsTest.java	(revision 30)
@@ -19,6 +19,6 @@
 import geniusweb.deadline.DeadlineRounds;
 import geniusweb.deadline.DeadlineTime;
-import geniusweb.protocol.session.OnePartyTeam;
 import geniusweb.protocol.session.SessionSettings;
+import geniusweb.protocol.session.TeamInfo;
 import geniusweb.references.Parameters;
 import geniusweb.references.PartyRef;
@@ -30,11 +30,11 @@
 public class SAOPSettingsTest extends GeneralTests<SAOPSettings> {
 
-	private OnePartyTeam partyprof1 = mock(OnePartyTeam.class);
-	private OnePartyTeam partyprof2 = mock(OnePartyTeam.class);
-	private OnePartyTeam partyprof3 = mock(OnePartyTeam.class);
-	private List<OnePartyTeam> participants2 = Arrays.asList(partyprof1,
+	private TeamInfo partyprof1 = mock(TeamInfo.class);
+	private TeamInfo partyprof2 = mock(TeamInfo.class);
+	private TeamInfo partyprof3 = mock(TeamInfo.class);
+	private List<TeamInfo> participants2 = Arrays.asList(partyprof1,
 			partyprof2);
-	private List<OnePartyTeam> participants3 = Arrays.asList(partyprof1,
-			partyprof2, partyprof3);
+	private List<TeamInfo> participants3 = Arrays.asList(partyprof1, partyprof2,
+			partyprof3);
 
 	private DeadlineTime deadline = mock(DeadlineTime.class);
@@ -47,5 +47,5 @@
 
 	private SAOPSettings sersettings;
-	private final String serialized = "{\"SAOPSettings\":{\"participants\":[{\"party\":{\"partyref\":\"http://party1\",\"parameters\":{}},\"profile\":\"http://profile1\"},{\"party\":{\"partyref\":\"http://party2\",\"parameters\":{}},\"profile\":\"http://profile2\"}],\"deadline\":{\"deadlinetime\":{\"durationms\":100}}}}";
+	private final String serialized = "{\"SAOPSettings\":{\"participants\":[{\"TeamInfo\":{\"parties\":[{\"party\":{\"partyref\":\"http://party1\",\"parameters\":{}},\"profile\":\"http://profile1\"}]}},{\"TeamInfo\":{\"parties\":[{\"party\":{\"partyref\":\"http://party2\",\"parameters\":{}},\"profile\":\"http://profile2\"}]}}],\"deadline\":{\"deadlinetime\":{\"durationms\":100}}}}";
 
 	@Before
@@ -54,4 +54,8 @@
 		when(deadline.toString()).thenReturn("deadline");
 		when(deadline2.toString()).thenReturn("deadline2");
+
+		when(partyprof1.getSize()).thenReturn(1);
+		when(partyprof2.getSize()).thenReturn(1);
+		when(partyprof3.getSize()).thenReturn(1);
 
 		when(partyprof1.toString()).thenReturn("party and profile 1");
@@ -67,7 +71,7 @@
 				new PartyRef("http://party2"), new Parameters());
 		ProfileRef profile2 = new ProfileRef("http://profile2");
-		OnePartyTeam partywithprof1 = new OnePartyTeam(party1, profile1);
-		OnePartyTeam partywithprof2 = new OnePartyTeam(party2, profile2);
-		List<OnePartyTeam> participants = Arrays.asList(partywithprof1,
+		TeamInfo partywithprof1 = new TeamInfo(party1, profile1);
+		TeamInfo partywithprof2 = new TeamInfo(party2, profile2);
+		List<TeamInfo> participants = Arrays.asList(partywithprof1,
 				partywithprof2);
 
Index: protocol/src/test/java/geniusweb/protocol/session/saop/SAOPTest.java
===================================================================
--- protocol/src/test/java/geniusweb/protocol/session/saop/SAOPTest.java	(revision 29)
+++ protocol/src/test/java/geniusweb/protocol/session/saop/SAOPTest.java	(revision 30)
@@ -20,6 +20,6 @@
 import java.util.List;
 import java.util.Map;
-import java.util.stream.Collectors;
-
+
+import org.junit.Before;
 import org.junit.Test;
 import org.mockito.ArgumentCaptor;
@@ -44,6 +44,5 @@
 import geniusweb.protocol.partyconnection.ProtocolToPartyConnFactory;
 import geniusweb.protocol.partyconnection.ProtocolToPartyConnections;
-import geniusweb.protocol.session.OnePartyTeam;
-import geniusweb.protocol.session.TeamOfPartiesAndProfiles;
+import geniusweb.protocol.session.TeamInfo;
 import geniusweb.references.Parameters;
 import geniusweb.references.PartyRef;
@@ -71,5 +70,5 @@
 			finalstate = mock(SAOPState.class);
 
-	private final ProtocolRef SAOP;
+	private ProtocolRef SAOP;
 	private static final PartyId PARTY2ID = new PartyId("party2");
 	private static final PartyId PARTY1ID = new PartyId("party1");
@@ -77,6 +76,6 @@
 	private final PartyRef party2ref = mock(PartyRef.class);
 	private final SAOPSettings settings = mock(SAOPSettings.class);
-	private final OnePartyTeam team1 = mock(OnePartyTeam.class);
-	private final OnePartyTeam team2 = mock(OnePartyTeam.class);
+	private final TeamInfo team1 = mock(TeamInfo.class);
+	private final TeamInfo team2 = mock(TeamInfo.class);
 	private SAOP saop;
 	private ProtocolToPartyConnFactory factory;
@@ -84,5 +83,5 @@
 	private ProtocolToPartyConn conn1 = mock(ProtocolToPartyConn.class),
 			conn2 = mock(ProtocolToPartyConn.class);
-	private Map<PartyId, OnePartyTeam> partyprofiles;
+	private Map<PartyId, TeamInfo> partyprofiles;
 	private Progress progress = mock(Progress.class);
 	private ProfileRef profile1;
@@ -102,11 +101,16 @@
 	private final Deadline deadlinetime = mock(DeadlineTime.class);
 
-	public SAOPTest()
+	@Before
+	public void before()
 			throws URISyntaxException, IOException, NoResourcesNowException {
 		SAOP = new ProtocolRef("SAOP");
-		when(team1.getParty()).thenReturn(partywithparam1);
-		when(team2.getParty()).thenReturn(partywithparam2);
-		when(team1.getAllParties()).thenReturn(Arrays.asList(team1));
-		when(team2.getAllParties()).thenReturn(Arrays.asList(team2));
+
+		profile1 = mock(ProfileRef.class);
+		profile2 = mock(ProfileRef.class);
+
+		PartyWithProfile pwp1 = new PartyWithProfile(partywithparam1, profile1);
+		PartyWithProfile pwp2 = new PartyWithProfile(partywithparam2, profile2);
+		when(team1.getAllParties()).thenReturn(Arrays.asList(pwp1));
+		when(team2.getAllParties()).thenReturn(Arrays.asList(pwp2));
 
 		partyprofiles = new HashMap<>();
@@ -116,9 +120,9 @@
 		when(deadlinetime.getDuration()).thenReturn(1000l);
 
-		List<TeamOfPartiesAndProfiles> teams = new ArrayList<>();
+		List<TeamInfo> teams = new ArrayList<>();
 		teams.add(team1);
 		teams.add(team2);
 		when(settings.getTeams()).thenReturn(teams);
-		when(settings.getAllParties()).thenReturn(Arrays.asList(team1, team2));
+		when(settings.getAllParties()).thenReturn(Arrays.asList(pwp1, pwp2));
 		when(settings.getDeadline()).thenReturn(deadlinetime);
 
@@ -131,9 +135,4 @@
 		when(conn1.getParty()).thenReturn(PARTY1ID);
 		when(conn2.getParty()).thenReturn(PARTY2ID);
-
-		profile1 = mock(ProfileRef.class);
-		when(team1.getProfile()).thenReturn(profile1);
-		profile2 = mock(ProfileRef.class);
-		when(team2.getProfile()).thenReturn(profile2);
 
 		mockState(connectedstate, "connected state");
@@ -153,4 +152,10 @@
 		saop = new SAOP(state, new ReportToLogger("test"));
 		saop.addListener(testlistener);
+
+		Map<PartyId, PartyWithProfile> profilesmap = new HashMap<>();
+		profilesmap.put(PARTY1ID, pwp1);
+		profilesmap.put(PARTY2ID, pwp2);
+		when(state.getPartyProfiles()).thenReturn(profilesmap);
+
 	}
 
@@ -164,7 +169,5 @@
 		when(state.getSettings()).thenReturn(settings);
 		when(state.getConnections()).thenReturn(connectionswithparties);
-		when(state.getPartyProfiles())
-				.thenReturn(partyprofiles.entrySet().stream().collect(
-						Collectors.toMap(e -> e.getKey(), e -> e.getValue())));
+
 		when(state.getProgress()).thenReturn(progress);
 		when(state.with(any(ProtocolToPartyConn.class),
Index: protocol/src/test/java/geniusweb/protocol/session/saop/SaopPartyWithProfileTest.java
===================================================================
--- protocol/src/test/java/geniusweb/protocol/session/saop/SaopPartyWithProfileTest.java	(revision 29)
+++ protocol/src/test/java/geniusweb/protocol/session/saop/SaopPartyWithProfileTest.java	(revision 30)
@@ -17,6 +17,5 @@
 import com.fasterxml.jackson.databind.ObjectMapper;
 
-import geniusweb.protocol.session.OnePartyTeam;
-import geniusweb.protocol.session.TeamOfPartiesAndProfiles;
+import geniusweb.protocol.session.TeamInfo;
 import geniusweb.references.Parameters;
 import geniusweb.references.PartyRef;
@@ -25,11 +24,11 @@
 import tudelft.utilities.junit.GeneralTests;
 
-public class SaopPartyWithProfileTest extends GeneralTests<OnePartyTeam> {
+public class SaopPartyWithProfileTest extends GeneralTests<TeamInfo> {
 
 	private PartyRef party1, party1a, party2, party3;
 	private ProfileRef profile1, profile2;
-	private OnePartyTeam partyprof1, partyprof1a, partyprof2, partyprof3,
+	private TeamInfo partyprof1, partyprof1a, partyprof2, partyprof3,
 			partyprof4;
-	private final String serialized = "{\"party\":{\"partyref\":\"ws:party1\",\"parameters\":{}},\"profile\":\"ws:profile1\"}";
+	private final String serialized = "{\"TeamInfo\":{\"parties\":[{\"party\":{\"partyref\":\"ws:party1\",\"parameters\":{}},\"profile\":\"ws:profile1\"}]}}";
 
 	@Before
@@ -54,14 +53,14 @@
 				settings1);
 
-		partyprof1 = new OnePartyTeam(party1withparams1, profile1);
-		partyprof1a = new OnePartyTeam(party1withparams1, profile1);
-		partyprof2 = new OnePartyTeam(party2withparams1, profile1);
-		partyprof3 = new OnePartyTeam(party1withparams1, profile2);
-		partyprof4 = new OnePartyTeam(party1withparams2, profile1);
+		partyprof1 = new TeamInfo(party1withparams1, profile1);
+		partyprof1a = new TeamInfo(party1withparams1, profile1);
+		partyprof2 = new TeamInfo(party2withparams1, profile1);
+		partyprof3 = new TeamInfo(party1withparams1, profile2);
+		partyprof4 = new TeamInfo(party1withparams2, profile1);
 
 	}
 
 	@Override
-	public List<List<OnePartyTeam>> getGeneralTestData() {
+	public List<List<TeamInfo>> getGeneralTestData() {
 		return Arrays.asList(Arrays.asList(partyprof1, partyprof1a),
 				Arrays.asList(partyprof2), Arrays.asList(partyprof3),
@@ -72,8 +71,8 @@
 	public List<String> getGeneralTestStrings() {
 		return Arrays.asList(
-				"PartyWithProfile.PartyRef.ws:party1.,ProfileRef.ws:profile1.*",
-				"PartyWithProfile.PartyRef.ws:party2.,ProfileRef.ws:profile1.*",
-				"PartyWithProfile.PartyRef.ws:party1.,ProfileRef.ws:profile2.*",
-				"PartyWithProfile.PartyRef.ws:party1.\\{a=1\\},ProfileRef.ws:profile1.*");
+				"TeamInfo.*PartyWithProfile.PartyRef.ws:party1.,ProfileRef.ws:profile1.*",
+				"TeamInfo.*PartyWithProfile.PartyRef.ws:party2.,ProfileRef.ws:profile1.*",
+				"TeamInfo.*PartyWithProfile.PartyRef.ws:party1.,ProfileRef.ws:profile2.*",
+				"TeamInfo.*PartyWithProfile.PartyRef.ws:party1.\\{a=1\\},ProfileRef.ws:profile1.*");
 	}
 
@@ -84,5 +83,5 @@
 	@Test(expected = IllegalArgumentException.class)
 	public void nullTest() throws URISyntaxException {
-		new OnePartyTeam((PartyWithParameters) null, (ProfileRef) null);
+		new TeamInfo((PartyWithParameters) null, (ProfileRef) null);
 	}
 
@@ -102,6 +101,5 @@
 		// always used as part of bigger class, do not include class name
 		// and therfore can not serialize as TeamOfPartiesAndProfiles
-		TeamOfPartiesAndProfiles p = jackson.readValue(serialized,
-				OnePartyTeam.class);
+		TeamInfo p = jackson.readValue(serialized, TeamInfo.class);
 		System.out.println(p);
 		assertEquals(partyprof1, p);
Index: protocol/src/test/java/geniusweb/protocol/session/shaop/SHAOPSettingsTest.java
===================================================================
--- protocol/src/test/java/geniusweb/protocol/session/shaop/SHAOPSettingsTest.java	(revision 29)
+++ protocol/src/test/java/geniusweb/protocol/session/shaop/SHAOPSettingsTest.java	(revision 30)
@@ -16,4 +16,5 @@
 import geniusweb.deadline.DeadlineTime;
 import geniusweb.protocol.session.SessionSettings;
+import geniusweb.protocol.session.TeamInfo;
 import geniusweb.references.Parameters;
 import geniusweb.references.PartyRef;
@@ -28,7 +29,7 @@
 	private final ObjectMapper jackson = new ObjectMapper();
 	private Parameters params = new Parameters();
-	private final String serialized = "{\"SHAOPSettings\":{\"participants\":[{\"cob\":{\"party\":{\"partyref\":\"party2\",\"parameters\":{}},\"profile\":\"profile1\"},\"shaop\":{\"party\":{\"partyref\":\"party1\",\"parameters\":{}},\"profile\":\"profile1\"}},{\"cob\":{\"party\":{\"partyref\":\"party4\",\"parameters\":{}},\"profile\":\"profile1\"},\"shaop\":{\"party\":{\"partyref\":\"party3\",\"parameters\":{}},\"profile\":\"profile1\"}}],\"deadline\":{\"deadlinetime\":{\"durationms\":1000}}}}";
+	private final String serialized = "{\"SHAOPSettings\":{\"participants\":[{\"TeamInfo\":{\"parties\":[{\"party\":{\"partyref\":\"party1\",\"parameters\":{}},\"profile\":\"profile1\"},{\"party\":{\"partyref\":\"party2\",\"parameters\":{}},\"profile\":\"profile1\"}]}},{\"TeamInfo\":{\"parties\":[{\"party\":{\"partyref\":\"party3\",\"parameters\":{}},\"profile\":\"profile1\"},{\"party\":{\"partyref\":\"party4\",\"parameters\":{}},\"profile\":\"profile1\"}]}}],\"deadline\":{\"deadlinetime\":{\"durationms\":1000}}}}";
 	private SHAOPSettings settings1, settings1a, settings2, settings3;
-	private ShaopTeam pair1, pair2, pair3;
+	private TeamInfo pair1, pair2, pair3;
 
 	@Before
@@ -57,7 +58,7 @@
 		DeadlineTime deadline = new DeadlineTime(1000);
 		DeadlineTime deadline2 = new DeadlineTime(2000);
-		pair1 = new ShaopTeam(partyprof1, partyprof2);
-		pair2 = new ShaopTeam(partyprof3, partyprof4);
-		pair3 = new ShaopTeam(partyprof5, partyprof6);
+		pair1 = new TeamInfo(Arrays.asList(partyprof1, partyprof2));
+		pair2 = new TeamInfo(Arrays.asList(partyprof3, partyprof4));
+		pair3 = new TeamInfo(Arrays.asList(partyprof5, partyprof6));
 
 		settings1 = new SHAOPSettings(Arrays.asList(pair1, pair2), deadline);
@@ -76,7 +77,7 @@
 	public List<String> getGeneralTestStrings() {
 		return Arrays.asList(
-				"SHAOPSettings.*Parties.*PartyWithProfile.*party1.*party2.*Parties.*party3.*party4.*DeadlineTime.*1000.*",
-				"SHAOPSettings.*Parties.*PartyWithProfile.*party1.*party2.*Parties.*party5.*party6.*DeadlineTime.*1000.*",
-				"SHAOPSettings.*Parties.*PartyWithProfile.*party1.*party2.*Parties.*party3.*party4.*DeadlineTime.*2000.*");
+				"SHAOPSettings.*TeamInfo.*PartyWithProfile.*party1.*party2.*TeamInfo.*party3.*party4.*DeadlineTime.*1000.*",
+				"SHAOPSettings.*TeamInfo.*PartyWithProfile.*party1.*party2.*TeamInfo.*party5.*party6.*DeadlineTime.*1000.*",
+				"SHAOPSettings.*TeamInfo.*PartyWithProfile.*party1.*party2.*TeamInfo.*party3.*party4.*DeadlineTime.*2000.*");
 	}
 
Index: protocol/src/test/java/geniusweb/protocol/session/shaop/SHAOPStateTest.java
===================================================================
--- protocol/src/test/java/geniusweb/protocol/session/shaop/SHAOPStateTest.java	(revision 29)
+++ protocol/src/test/java/geniusweb/protocol/session/shaop/SHAOPStateTest.java	(revision 30)
@@ -32,5 +32,5 @@
 import geniusweb.protocol.partyconnection.ProtocolToPartyConnections;
 import geniusweb.protocol.session.SessionResult;
-import geniusweb.protocol.session.TeamOfPartiesAndProfiles;
+import geniusweb.protocol.session.TeamInfo;
 import tudelft.utilities.junit.GeneralTests;
 
@@ -75,8 +75,8 @@
 	private Map<PartyId, Integer> partynrs = new HashMap<>();
 
-	private TeamOfPartiesAndProfiles team1 = mock(
-			TeamOfPartiesAndProfiles.class);
-	private TeamOfPartiesAndProfiles team2 = mock(
-			TeamOfPartiesAndProfiles.class);
+	private TeamInfo team1 = mock(
+			TeamInfo.class);
+	private TeamInfo team2 = mock(
+			TeamInfo.class);
 
 	@Before
